import axios from "axios";
import { MessageBox, Message } from "element-ui";
import router from "../router/index";

const service = axios.create({
  // process.env.NODE_ENV === 'development' 来判断是否开发环境
  // easy-mock服务挂了，暂时不使用了
  // baseURL: '',
  // timeout: 5000
  baseURL: "/web", //把原来的项目地址，改成api，解决跨域问题
  timeout: 30000,
});

// 添加请求拦截器，一下内容是axios的拦截器，可以不用写
service.interceptors.request.use(
  function (config) {
    // 在发送请求之前做些什么
    return config;
  },
  function (error) {
    // 对请求错误做些什么
    return Promise.reject(error);
  }
);

// 添加响应拦截器
service.interceptors.response.use(
  function (response) {
    // 对响应数据做点什么
    return response.data;
  },
  function (error) {
    // 对响应错误做点什么
    return Promise.reject(error);
  }
);
export default service;
// service.interceptors.request.use((config) => {
//   if (localStorage.getItem("token")) {
//     config.headers.sessionId = localStorage.getItem("token");
//   }
//   return config;
// });
// service.interceptors.response.use(
//   (response) => {
//     const res = response.data;
//     if (res.code !== 200) {
//       if (res.code === 401) {
//         Message({ message: res.msg, type: "error", duration: 1500 });
//         router.push("/login");
//       }

//       if (res.code === 400) {
//         Message({ message: res.msg, type: "error", duration: 1500 });
//       }

//       if (res.code === 500) {
//         Message({
//           showClose: true,
//           message: 服务器错误(500),
//           type: "error",
//           duration: 1500,
//         });
//       }
//       return Promise.reject(new Error(res.msg || "Error"));
//     } else {
//       return res;
//     }
//   },
//   (error) => {
//     Message({
//       message: error.message,
//       showClose: true,
//       type: "error",
//       duration: 1500,
//     });
//     return Promise.reject(error);
//   }
// );
